<?xml version="1.0" encoding="UTF-8"?>
<!-- ======================================================================= -->
<!-- Configuration for JPA provider.                                         -->
<!--                                                                         -->
<!-- Lists all persistent domain classes.                                    -->
<!-- Uses a pre-configured JTA data source                                   --> 
<!-- ======================================================================= -->
<persistence xmlns="http://java.sun.com/xml/ns/persistence" version="2.0">
  <persistence-unit name="Order">
    <jta-data-source>jdbc/SPECjNoXADS</jta-data-source>
    <mapping-file>META-INF/orm_1.xml</mapping-file>  
    <class>org.spec.jent.common.Address</class>
    <class>org.spec.jent.ejb.orders.entity.Customer</class>
    <class>org.spec.jent.ejb.orders.entity.CustomerInventory</class>
    <class>org.spec.jent.ejb.orders.entity.Item</class>
    <class>org.spec.jent.ejb.orders.entity.Order</class>
    <class>org.spec.jent.ejb.orders.entity.OrderLine</class>
    <class>org.spec.jent.ejb.orders.entity.OrderLinePK</class>
    <exclude-unlisted-classes>true</exclude-unlisted-classes>
    <properties>
     <property name="openjpa.RemoteCommitProvider" value="sjvm"/>   
     <property name="openjpa.QueryCache" value="true(CacheSize=1000,EvictPolicy=timestamp)" />      
       <property name="openjpa.ObjectCache" value="true(MaxSize=76000,EvictionSchedule='+20',Types=org.spec.jent.ejb.orders.entity.Item)" /> 
       <property name="openjpa.Compatibility" value="ReloadOnDetach=false" />  
       <property name="openjpa.DetachState" value="loaded(DetachedStateField=false,LiteAutoDetach=true)"/>
       <property name="openjpa.MetaDataRepository" value="Preload=true"/>  
        <property name="openjpa.BrokerImpl" value="SuppressBatchOLELogging=true"/>  
    </properties>      
  </persistence-unit>
  <persistence-unit name="Mfg">
    <jta-data-source>jdbc/SPECjNoXADS</jta-data-source>  
    <mapping-file>META-INF/orm_2.xml</mapping-file>  
    <class>org.spec.jent.ejb.mfg.entity.Assembly</class>
    <class>org.spec.jent.ejb.mfg.entity.Bom</class>
    <class>org.spec.jent.ejb.mfg.entity.BomPK</class>
    <class>org.spec.jent.ejb.mfg.entity.Component</class>
    <class>org.spec.jent.ejb.mfg.entity.Inventory</class>
    <class>org.spec.jent.ejb.mfg.entity.InventoryPK</class>
    <class>org.spec.jent.ejb.mfg.entity.WorkOrder</class>
    <class>org.spec.jent.ejb.supplier.entity.RunConfig</class>  
     <exclude-unlisted-classes>true</exclude-unlisted-classes> 
    <properties>
   <property name="openjpa.Compatibility" value = "ReloadOnDetach=false" />  
       <property name="openjpa.MetaDataRepository" value="Preload=true"/>  
       <property name="openjpa.BrokerImpl" value="SuppressBatchOLELogging=true"/> 
       <property name="openjpa.DetachState" value="loaded(DetachedStateField=false,LiteAutoDetach=true)"/>         
    </properties>
  </persistence-unit>  
  <persistence-unit name="Supplier">
    <jta-data-source>jdbc/SPECjNoXADS</jta-data-source> 
    <mapping-file>META-INF/orm_3.xml</mapping-file>  
    <class>org.spec.jent.common.Address</class>
    <class>org.spec.jent.ejb.supplier.entity.PurchaseOrder</class>
    <class>org.spec.jent.ejb.supplier.entity.PurchaseOrderLine</class>
    <class>org.spec.jent.ejb.supplier.entity.PurchaseOrderLinePK</class>
    <class>org.spec.jent.ejb.supplier.entity.SComponent</class>
    <class>org.spec.jent.ejb.supplier.entity.Supplier</class>
    <class>org.spec.jent.ejb.supplier.entity.SupplierComponent</class>
    <class>org.spec.jent.ejb.supplier.entity.SupplierComponentPK</class>
    <class>org.spec.jent.ejb.supplier.entity.RunConfig</class>
    <class>org.spec.jent.ejb.supplier.entity.SComponentPK</class>
    <exclude-unlisted-classes>true</exclude-unlisted-classes> 
    <properties>
   <property name="openjpa.Compatibility" value = "ReloadOnDetach=false" />  
       <property name="openjpa.MetaDataRepository" value="Preload=true"/>  
       <property name="openjpa.BrokerImpl" value="SuppressBatchOLELogging=true"/> 
       <property name="openjpa.DetachState" value="loaded(DetachedStateField=false,LiteAutoDetach=true)"/>
    </properties>  
  </persistence-unit>
  <persistence-unit name="Loader">
    <jta-data-source>jdbc/SPECjLoaderDS</jta-data-source>
    <class>org.spec.jent.loader.entity.Loader</class>
    <class>org.spec.jent.loader.entity.Message</class>
    <class>org.spec.jent.loader.entity.Section</class>
    <exclude-unlisted-classes>true</exclude-unlisted-classes>
   <properties>
    <property name="openjpa.Compatibility" value = "ReloadOnDetach=false" />  
        <property name="openjpa.MetaDataRepository" value="Preload=true"/>  
        <property name="openjpa.BrokerImpl" value="SuppressBatchOLELogging=true"/> 
        <property name="openjpa.DetachState" value="loaded(DetachedStateField=false,LiteAutoDetach=true)"/>
    </properties>   
  </persistence-unit>
   
</persistence>
